[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomHeaderControl.ChangeScale

Scales the width of the header sections in the control using the specified multiplier and divisor.

## Declaration

Source position: comctrls.pp line 4095

`public procedure TCustomHeaderControl.ChangeScale(`
`M: Integer;`
`D: Integer`
`); override;`

## Arguments

`M` |  | Multiplier for the scaling factor.
`D` |  | Divisor for the scaling factor.

## Description

ChangeScale is an overridden method in TCustomHeaderControl, and calls the inherited method on entry to scale the overall size for the control and its child controls. ChangeScale applies the scaling factor represented by M and D to the individual header sections defined in the Sections collection. The Width for each THeaderSection instance is updated using the multiplier and divisor to scale the section width.

## See also

TCustomHeaderControl.Sections |  | Sections - the short segments of the header separated by vertical bars that function as the elementary selection units of the header.
THeaderSection |  | Implements a section displayed on a TCustomHeaderControl / THeaderControl instance.
TWinControl.ChangeScale |  | Scales (resizes) the control and all of its child controls.